Update image
curl --request PUT \
--url https://{host}/api/images/{id} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"displayName": "<string>",
"isDefault": true
}
'import requests
url = "https://{host}/api/images/{id}"
payload = {
"displayName": "<string>",
"isDefault": True
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', isDefault: true})
};
fetch('https://{host}/api/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/images/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'isDefault' => true
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/images/{id}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/images/{id}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/images/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}"
response = http.request(request)
puts response.read_body{
"accessMode": "<string>",
"architecture": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"diskSize": "<string>",
"displayName": "<string>",
"ephemeralCapable": true,
"errorMessage": "<string>",
"id": "<string>",
"imageType": "<string>",
"isDefault": true,
"kubernetesVersion": "<string>",
"library": "<string>",
"name": "<string>",
"provider": "<string>",
"pvcName": "<string>",
"pvcNamespace": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"storageClass": "<string>",
"supervisor": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"version": "<string>",
"ephemeralRefusal": "<string>",
"s3Connection": "<string>",
"s3ConnectionSupervisor": "<string>",
"sourcePvcName": "<string>",
"sourcePvcNamespace": "<string>",
"sourceS3Key": "<string>",
"supportedK8sMax": "<string>",
"supportedK8sMin": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}images
Update image
Static sub-path — must stay above /api/images/ or chi swallows it.
Authorisation: image:Update on krn:celum:image:{id}.
PUT
/
api
/
images
/
{id}
Update image
curl --request PUT \
--url https://{host}/api/images/{id} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"displayName": "<string>",
"isDefault": true
}
'import requests
url = "https://{host}/api/images/{id}"
payload = {
"displayName": "<string>",
"isDefault": True
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', isDefault: true})
};
fetch('https://{host}/api/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/images/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'isDefault' => true
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/images/{id}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/images/{id}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/images/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"isDefault\": true\n}"
response = http.request(request)
puts response.read_body{
"accessMode": "<string>",
"architecture": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"diskSize": "<string>",
"displayName": "<string>",
"ephemeralCapable": true,
"errorMessage": "<string>",
"id": "<string>",
"imageType": "<string>",
"isDefault": true,
"kubernetesVersion": "<string>",
"library": "<string>",
"name": "<string>",
"provider": "<string>",
"pvcName": "<string>",
"pvcNamespace": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"storageClass": "<string>",
"supervisor": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"version": "<string>",
"ephemeralRefusal": "<string>",
"s3Connection": "<string>",
"s3ConnectionSupervisor": "<string>",
"sourcePvcName": "<string>",
"sourcePvcNamespace": "<string>",
"sourceS3Key": "<string>",
"supportedK8sMax": "<string>",
"supportedK8sMin": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The object's identifier.
Response
object | null
Success.